%define name anthill
%define version 0.3.0
%define release 4mdk
%define languages de es fi fr il nl pl ru zh sv

%define apache_version 2.0.53
%define mod_conf Z16_%{name}.conf

Summary:	Bug tracking database system written in PHP
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://anthill.vmlinuz.ca/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	Anthill.pot.bz2
Patch0:		anthill-0.3.0-config.diff.bz2
Requires:	php-common php-mysql
Requires:	apache2-mod_php
BuildRequires:  gettext
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Anthill is a bug tracking database system written in PHP. It
provides the standard bug tracking features such as: user logins,
summary reports, submitting bugs, querying bugs, various severity
and status levels. It also provides some unique features, such as
a template system, and multi-lingual support. 

%prep

%setup -q
%patch0 -p1

%build

# add my swedish translation
mkdir -p html/backend/language/sv/LC_MESSAGES
bzcat %{SOURCE2} > html/backend/language/sv/LC_MESSAGES/Anthill.pot
msgfmt -o html/backend/language/sv/LC_MESSAGES/Anthill.mo html/backend/language/sv/LC_MESSAGES/Anthill.pot

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_var}/www/html/%{name}/images
install -d %{buildroot}%{_var}/www/html/%{name}/include/pear/DB
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0644 html/*.php %{buildroot}%{_var}/www/html/%{name}/
install -m0644 html/*.css %{buildroot}%{_var}/www/html/%{name}/
install -m0644 html/images/*.png %{buildroot}%{_var}/www/html/%{name}/images/
install -m0644 html/images/*.gif %{buildroot}%{_var}/www/html/%{name}/images/
install -m0644 include/.htaccess %{buildroot}%{_var}/www/html/%{name}/include/
install -m0644 include/*.php %{buildroot}%{_var}/www/html/%{name}/include/
install -m0644 include/pear/*.php %{buildroot}%{_var}/www/html/%{name}/include/pear/
install -m0644 include/pear/DB/*.php %{buildroot}%{_var}/www/html/%{name}/include/pear/DB/

# fix config
mv %{buildroot}%{_var}/www/html/%{name}/include-dist.php \
    %{buildroot}%{_var}/www/html/%{name}/include.php

mv %{buildroot}%{_var}/www/html/%{name}/include/config.inc-dist.php \
    %{buildroot}%{_var}/www/html/%{name}/include/config.inc.php

for i in %languages; do
    install -d %{buildroot}%{_var}/www/html/%{name}/backend/language/$i/LC_MESSAGES
    install -m0644 html/backend/language/$i/LC_MESSAGES/* \
	%{buildroot}%{_var}/www/html/%{name}/backend/language/$i/LC_MESSAGES/
done

install -m0644 html/backend/language/Anthill.pot %{buildroot}%{_var}/www/html/%{name}/backend/language/

install -d %{buildroot}%{_var}/www/html/%{name}/backend/template/blue
install -d %{buildroot}%{_var}/www/html/%{name}/backend/template/default

install -m0644 html/backend/template/README.themes %{buildroot}%{_var}/www/html/%{name}/backend/template/
install -m0644 html/backend/template/blue/*.css %{buildroot}%{_var}/www/html/%{name}/backend/template/blue/
install -m0644 html/backend/template/blue/*.php %{buildroot}%{_var}/www/html/%{name}/backend/template/blue/
install -m0644 html/backend/template/default/*.css %{buildroot}%{_var}/www/html/%{name}/backend/template/default/
install -m0644 html/backend/template/default/*.php %{buildroot}%{_var}/www/html/%{name}/backend/template/default/

install -d %{buildroot}%{_var}/www/html/%{name}/shadow
install -d %{buildroot}%{_var}/www/html/%{name}/tmp
install -d %{buildroot}%{_var}/www/html/%{name}/gpg
install -d %{buildroot}%{_var}/www/html/%{name}/attachments

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}

# cleanup
rm -f %{buildroot}%{_var}/www/html/%{name}/include/.htaccess

%post
if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi

%postun
if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc etc/* contrib CHANGES README README.html THANKS TODO 
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%config(noreplace) %attr(0644,root,root) %{_var}/www/html/%{name}/include.php
%config(noreplace) %attr(0644,root,root) %{_var}/www/html/%{name}/include/config.inc.php
%dir %attr(0700,apache,apache) %{_var}/www/html/%{name}/shadow
%dir %attr(0700,apache,apache) %{_var}/www/html/%{name}/tmp
%dir %attr(0700,apache,apache) %{_var}/www/html/%{name}/gpg
%dir %attr(0700,apache,apache) %{_var}/www/html/%{name}/attachments
%{_var}/www/html/%{name}

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.0-4mdk
- spec file cleanups, remove the ADVX-build stuff

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.0-3mdk
- nuke redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.0-2mdk
- added my swedish translation

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0
- rediffed P0
- misc spec file fixes

* Sat Nov 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.6-1mdk
- rediffed P0
- fix requires & buildrequires
- fix dir perms
- added S1
- use the common ADVX macros to reload apache2 in %%post
- misc spec file fixes

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-2mdk
- arrgh!, forgot about some crucial dirs...

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-1mdk
- initial cooker contrib
